Bug 76952 - Frames are not displayed
Summary: Frames are not displayed
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.2.3.2 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:doc, regression
Depends on:
Blocks: DOC-Frames
  Show dependency treegraph
 
Reported: 2014-04-02 14:36 UTC by João Mac-Cormick
Modified: 2019-08-31 15:13 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
DOC build v4.1.2.3 (27.50 KB, application/msword)
2014-04-02 14:36 UTC, João Mac-Cormick
Details
PDF build v4.1.2.3 (34.79 KB, application/pdf)
2014-04-02 14:37 UTC, João Mac-Cormick
Details
DOC for ODT converted v4.1.2.3 (14.09 KB, application/vnd.oasis.opendocument.text)
2014-04-02 14:38 UTC, João Mac-Cormick
Details
DOC for ODT for DOC converted v4.1.2.3 (24.00 KB, application/msword)
2014-04-02 14:39 UTC, João Mac-Cormick
Details
Before and after (156.06 KB, image/png)
2015-01-07 09:29 UTC, Matthew Francis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description João Mac-Cormick 2014-04-02 14:36:10 UTC
Created attachment 96785 [details]
DOC build v4.1.2.3

Opening the file "teste v4-1-2-3 original.doc" with LibreOffice 4.1.2.3 (and possibly other versions of the 4.1 branch), the frames are displayed. Just watch the PDF generated by the application.

Opening the file "teste v4-1-2-3 original.doc" with LibreOffice 4.2.3.2 (and possibly other versions of the 4.2 branch), the frames ARE NOT DISPLAYED.

Workaround:

1) Open the file "teste v4-1-2-3 original.doc" with LibreOffice 4.1.2.3 and save it as "teste v4-1-2-3 convertido.odt" in ODF format.
2) Open the file "teste v4-1-2-3 convertido.odt" with LibreOffice 4.1.2.3 and save it as "teste v4-1-2-3 convertido.doc" in DOC format.
3) Now the file "teste v4-1-2-3 convertido.doc" will have visible frames in LibreOffice 4.2.3.2 (and possibly other versions of the 4.2 branch)

Windows XP SP 3
Comment 1 João Mac-Cormick 2014-04-02 14:37:05 UTC
Created attachment 96786 [details]
PDF build v4.1.2.3
Comment 2 João Mac-Cormick 2014-04-02 14:38:24 UTC
Created attachment 96787 [details]
DOC for ODT converted v4.1.2.3
Comment 3 João Mac-Cormick 2014-04-02 14:39:01 UTC
Created attachment 96788 [details]
DOC for ODT for DOC converted v4.1.2.3
Comment 4 Buovjaga 2014-10-29 12:47:35 UTC
Reproduced -> NEW.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: 4586a3f564600f1a0ce15a5cb98868b43bb9351e
TinderBox: Win-x86@42, Branch:master, Time: 2014-10-29_07:28:16
Comment 5 Xisco Faulí 2014-11-04 11:15:09 UTC
- Change Sotfware field to 'All' as it can be reproduced in Ubuntu 14.10
- Change Whiteboard field to 'bibisected' as it has been bibisected:

70cea68b2de84c293ea8adbe2de81f75c23d0beb is the first bad commit
commit 70cea68b2de84c293ea8adbe2de81f75c23d0beb
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Oct 17 12:15:48 2013 +0000

    source-hash-4a143c44fe7ad266ab9ab7dca317b0099b1438d0
    
    commit 4a143c44fe7ad266ab9ab7dca317b0099b1438d0
    Author:     Andras Timar <atimar@suse.com>
    AuthorDate: Thu Jun 13 16:18:29 2013 +0200
    Commit:     Gerrit Code Review <gerrit@vm2.documentfoundation.org>
    CommitDate: Thu Jun 13 15:15:03 2013 +0000
    
        Updated core
        Project: help  50f2902dc9d125c6ab5b379d5389364bb7bdf09c

:100644 100644 88d0da0595db38c08d152d0767e2c78ee0286eae 0cf6236b9d5dde5c57d4a12847bee37338c34630 M	ccache.log
:100644 100644 554c2684861e3ceffe574a5ddbb3346a90d92224 c9dc12cedacb3166e93d8a357364c623904f37ff M	commitmsg
:100644 100644 885f065ed99f5d8ee71841c77ad4a48275c72df3 d478f1a28e2f5762b631d2fffd30e63885d1fbfc M	dev-install.log
:100644 100644 fd4ad2dd5eec7738c780b33d28f6bdfdbebbeccc bcdfd152efb2c54f1b5be1ff400afd2e3c85502d M	make.log
:040000 040000 0e333dc18542aaa76b19508654b4406e5bab10ce 572b4cd4d3105d37cfd78bc6d44a3e166b8daa9c M	opt

# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [1d4980621741d3050a5fe61b247c157d769988f2] source-hash-89d01a7d8028ddb765e02c116d202a2435894217
git bisect bad 1d4980621741d3050a5fe61b247c157d769988f2
# bad: [ba096f438393091574da98fe7b8e6b05182a8971] source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8
git bisect bad ba096f438393091574da98fe7b8e6b05182a8971
# bad: [9daa289e178460daaafa4b3911031df5b8736218] source-hash-704292996a3731a61339b1a4a5c90c9403aa095f
git bisect bad 9daa289e178460daaafa4b3911031df5b8736218
# bad: [69bf614869471f46413fe1d2af5976b2e6d85084] source-hash-76dea8b2db906156e77f78738a68f932a15afd4b
git bisect bad 69bf614869471f46413fe1d2af5976b2e6d85084
# good: [91c3e68c86f5b7143ab0de18c70c46de8314d6e1] source-hash-4e41227dd6af52ec562d10efcb365defba6bd36e
git bisect good 91c3e68c86f5b7143ab0de18c70c46de8314d6e1
# bad: [70cea68b2de84c293ea8adbe2de81f75c23d0beb] source-hash-4a143c44fe7ad266ab9ab7dca317b0099b1438d0
git bisect bad 70cea68b2de84c293ea8adbe2de81f75c23d0beb
# good: [d4078738db5f3c995eff2987d3ebdb0ac0aaf3ce] source-hash-3d5fb88cc0aa8ee6be6cec5ce0255f1412368519
git bisect good d4078738db5f3c995eff2987d3ebdb0ac0aaf3ce
# first bad commit: [70cea68b2de84c293ea8adbe2de81f75c23d0beb] source-hash-4a143c44fe7ad266ab9ab7dca317b0099b1438d0
Comment 6 Matthew Francis 2015-01-07 09:29:57 UTC
Created attachment 111895 [details]
Before and after

Image showing how the attached document looked before the problem commit (left) and how it has looked ever since (right)
Comment 7 Matthew Francis 2015-01-07 09:32:53 UTC
The behaviour seems to have changed as of the below commit.

Adding Cc: to caolanm@redhat.com. It's not obvious why this commit should have broken the import of the attached document, but it does seem to have (I built back and forth across the commit twice to check). Could you possibly take a look? Thanks


commit e0cce521f1ad0cc384d30ce2f1077ea229fffe62
Author:     Armin Le Grand <alg@apache.org>
AuthorDate: Thu Jan 10 16:28:40 2013 +0000
Commit:     Caolán McNamara <caolanm@redhat.com>
CommitDate: Thu Jun 13 14:50:46 2013 +0100

    Resolves: #i121504# Support for alpha channel in clipboard for all systems
    
    (cherry picked from commit ef3931ff410117e1237b3bef7bc090e8b83b9519)
Comment 8 Robinson Tryon (qubit) 2015-12-13 11:09:31 UTC Comment hidden (obsolete)
Comment 9 Xisco Faulí 2016-09-26 15:03:17 UTC
Adding Cc: to Armin Le Grand
Comment 10 Xisco Faulí 2017-09-29 08:53:27 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170929